| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
VolProc::VelocityGridder Class Reference
VolumeProcessing

VolProc::Step for velocity gridding. More...

`#include <velocitygridder.h>`

Inheritance diagram for VolProc::VelocityGridder:
[legend]

## Public Member Functions
| VelocityGridder ()
| ~VelocityGridder ()
bool | canHandle2D () const override
bool | canInputAndOutputBeSame () const override
virtual uiString | errMsg () const override
od_int64 | extraMemoryUsage (OutputSlotID, const TrcKeySampling &, const StepInterval< int > &) const override
void | fillPar (IOPar &) const override
const Gridder2D * | getGridder () const
const InterpolationLayerModel * | getLayerModel () const
const ObjectSet< Vel::FunctionSource > & | getSources () const
const VelocityDesc * | getVelDesc () const override
bool | needsFullVolume () const override
bool | needsInput () const override
void | releaseData () override
void | setGridder (Gridder2D *)
void | setLayerModel (InterpolationLayerModel *)
void | setSources (ObjectSet< Vel::FunctionSource > &)
bool | usePar (const IOPar &) override
Public Member Functions inherited from VolProc::Step
virtual | ~Step ()
virtual bool | areSamplesIndependent () const
virtual Task * | createTaskWithProgMeter (ProgressMeter *)
void | enableOutput (OutputSlotID)
Chain & | getChain ()
const Chain & | getChain () const
const RegularSeisDataPack * | getInput (InputSlotID) const
virtual TrcKeySampling | getInputHRg (const TrcKeySampling &) const
TrcKeyZSampling | getInputSampling (const TrcKeyZSampling &) const
virtual InputSlotID | getInputSlotID (int idx) const
virtual void | getInputSlotName (InputSlotID, BufferString &) const
virtual StepInterval< int > | getInputZRg (const StepInterval< int > &) const
virtual StepInterval< int > | getInputZRgWithGeom (const StepInterval< int > &, Pos::GeomID) const
virtual int | getNrInputs () const
virtual int | getNrOutputs () const
virtual mDeprecatedDef od_int64 | getOuputMemSize (int) const
RegularSeisDataPack * | getOutput ()
const RegularSeisDataPack * | getOutput () const
RegularSeisDataPack * | getOutput (OutputSlotID)
const RegularSeisDataPack * | getOutput (OutputSlotID) const
int | getOutputIdx (OutputSlotID) const
virtual OutputSlotID | getOutputSlotID (int idx) const
virtual mDeprecatedDef od_int64 | getProcTimeExtraMemory () const
bool | is2D () const
virtual bool | isInputPrevStep () const
| mOD_DisableCopy (Step) ID getID() const
virtual bool | needReportProgress ()
void | resetInput ()
virtual void | setInput (InputSlotID, const RegularSeisDataPack *)
virtual void | setOutput (OutputSlotID, RegularSeisDataPack *, const TrcKeySampling &, const StepInterval< int > &)
virtual void | setUserName (const char *nm)
virtual const char * | userName () const
bool | validInputSlotID (InputSlotID) const
bool | validOutputSlotID (OutputSlotID) const

## Static Public Member Functions
static const char * | sKeyGridder ()
static const char * | sKeyID ()
static const char * | sKeyNrSources ()
static const char * | sKeyType ()
Static Public Member Functions inherited from VolProc::Step
static ID | cUndefID ()
static int | cUndefSlotID ()
static mDeprecatedDef od_int64 | getBaseMemoryUsage (const TrcKeySampling &, const StepInterval< int > &)

## Protected Member Functions
Task * | createTask () override
Protected Member Functions inherited from VolProc::Step
| Step ()
virtual bool | computeBinID (const BinID &, int threadid)
od_uint64 | getComponentMemory (const TrcKeySampling &, bool input) const
int | getNrInputComponents (InputSlotID) const
int | getNrOutComponents () const
const StepInterval< float > & | getZSampling () const
virtual bool | prefersBinIDWise () const
virtual bool | prepareComp (int nrthreads)
void | setHStep (const BinID &bid)
void | setInpNrComps (InputSlotID, int)
void | setOutputNrComps (int nr)
void | setVStep (int zstep)

## Protected Attributes
Gridder2D * | gridder_
InterpolationLayerModel * | layermodel_
ObjectSet< Vel::FunctionSource > | sources_
Protected Attributes inherited from VolProc::Step
Chain * | chain_
uiString | errmsg_
ID | id_
ObjectSet< const RegularSeisDataPack > | inputs_
TypeSet< InputSlotID > | inputslotids_
TypeSet< OutputSlotID > | outputslotids_
mDeprecatedDef TrcKeySampling | tks_
BufferString | username_
mDeprecatedDef StepInterval< int > | zrg_

## Additional Inherited Members
Public Types inherited from VolProc::Step
typedef int | ID
typedef int | InputSlotID
typedef int | OutputSlotID

## Detailed Description

VolProc::Step for velocity gridding.

<>

## Constructor & Destructor Documentation

## ◆ VelocityGridder()

VolProc::VelocityGridder::VelocityGridder | ( |  | ) |

## ◆ ~VelocityGridder()

VolProc::VelocityGridder::~VelocityGridder | ( |  | ) |

## Member Function Documentation

## ◆ canHandle2D()

bool VolProc::VelocityGridder::canHandle2D | ( |  | ) | const
| inline override virtual

Reimplemented from VolProc::Step.

## ◆ canInputAndOutputBeSame()

bool VolProc::VelocityGridder::canInputAndOutputBeSame | ( |  | ) | const
| inline override virtual

Reimplemented from VolProc::Step.

## ◆ createTask()

Task * VolProc::VelocityGridder::createTask | ( |  | ) |
| override protected virtual

Reimplemented from VolProc::Step.

## ◆ errMsg()

virtual uiString VolProc::VelocityGridder::errMsg | ( |  | ) | const
| inline override virtual

Reimplemented from VolProc::Step.

## ◆ extraMemoryUsage()

od_int64 VolProc::VelocityGridder::extraMemoryUsage | ( | OutputSlotID | ,
|  | const TrcKeySampling & | ,
|  | const StepInterval< int > & | ) const
| override virtual

Reimplemented from VolProc::Step.

## ◆ fillPar()

void VolProc::VelocityGridder::fillPar | ( | IOPar & |  | ) | const
| override virtual

Reimplemented from VolProc::Step.

## ◆ getGridder()

const Gridder2D * VolProc::VelocityGridder::getGridder | ( |  | ) | const

## ◆ getLayerModel()

const InterpolationLayerModel * VolProc::VelocityGridder::getLayerModel | ( |  | ) | const

## ◆ getSources()

const ObjectSet< Vel::FunctionSource > & VolProc::VelocityGridder::getSources | ( |  | ) | const

## ◆ getVelDesc()

const VelocityDesc * VolProc::VelocityGridder::getVelDesc | ( |  | ) | const
| override virtual

Reimplemented from VolProc::Step.

## ◆ needsFullVolume()

bool VolProc::VelocityGridder::needsFullVolume | ( |  | ) | const
| inline override virtual

Reimplemented from VolProc::Step.

## ◆ needsInput()

bool VolProc::VelocityGridder::needsInput | ( |  | ) | const
| override virtual

Implements VolProc::Step.

## ◆ releaseData()

void VolProc::VelocityGridder::releaseData | ( |  | ) |
| override virtual

Reimplemented from VolProc::Step.

## ◆ setGridder()

void VolProc::VelocityGridder::setGridder | ( | Gridder2D * |  | ) |

## ◆ setLayerModel()

void VolProc::VelocityGridder::setLayerModel | ( | InterpolationLayerModel * |  | ) |

## ◆ setSources()

void VolProc::VelocityGridder::setSources | ( | ObjectSet< Vel::FunctionSource > & |  | ) |

## ◆ sKeyGridder()

static const char * VolProc::VelocityGridder::sKeyGridder | ( |  | ) |
| inline static

## ◆ sKeyID()

static const char * VolProc::VelocityGridder::sKeyID | ( |  | ) |
| inline static

## ◆ sKeyNrSources()

static const char * VolProc::VelocityGridder::sKeyNrSources | ( |  | ) |
| inline static

## ◆ sKeyType()

static const char * VolProc::VelocityGridder::sKeyType | ( |  | ) |
| inline static

## ◆ usePar()

bool VolProc::VelocityGridder::usePar | ( | const IOPar & |  | ) |
| override virtual

Reimplemented from VolProc::Step.

## Member Data Documentation

## ◆ gridder_

Gridder2D* VolProc::VelocityGridder::gridder_
| protected

## ◆ layermodel_

InterpolationLayerModel* VolProc::VelocityGridder::layermodel_
| protected

## ◆ sources_

ObjectSet<Vel::FunctionSource> VolProc::VelocityGridder::sources_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025